Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

FFImageLoading not compatible with latest xamarin fast renderes #572

Closed
philipag opened this Issue Apr 14, 2017 · 9 comments

Comments

Projects
None yet
3 participants
@philipag
Copy link

commented Apr 14, 2017

After updating my app to xamarin.forms Xamarin.Forms 2.3.5.233-pre1 the application crashes with the following logcat message:

04-13 19:56:23.832: W/art(3513): JNI RegisterNativeMethods: attempt to register 0 native methods for md5e521f01327eed797431cb38c6cf432a3.CachedImageRenderer

I believe this library has to be updated to the latest android fast renderers as described here:

https://forums.xamarin.com/discussion/93178/lets-talk-performance

@Obvious1992

This comment has been minimized.

Copy link

commented Apr 26, 2017

I don't have a problem with the current package and Xamarin.Forms 2.3.5.233-pre1

@philipag

This comment has been minimized.

Copy link
Author

commented Apr 26, 2017

OK I will have to give this another shot after updating the rest of my renderers.

I assume you are using the CachedImageRenderer since that is what was causing the problem in my app?

@Obvious1992

This comment has been minimized.

Copy link

commented Apr 27, 2017

Yes i do, w/e the pre1 seems to be bugged. So i rolled back to stable.

@daniel-luberda

This comment has been minimized.

Copy link
Member

commented May 8, 2017

Does it also happen on the newest prerelease nuget? It should work fine.

FFImageLoading will definitely be using fast renderers in future, but now it must be backward compatible (2.3.5 is still a prerelease version)

@philipag

This comment has been minimized.

Copy link
Author

commented May 9, 2017

latest FFImageLoading 2.2.10-pre-375 crashed with XF 2.3.4.231

@daniel-luberda

This comment has been minimized.

Copy link
Member

commented May 9, 2017

@philipag Could you paste the stack trace / console output?

@daniel-luberda

This comment has been minimized.

Copy link
Member

commented May 9, 2017

The newest prerelease nuget (2.2.10.382) is compiled within XF 2.5. Did you try it?

@philipag

This comment has been minimized.

Copy link
Author

commented May 9, 2017

I am currently on XF 2.3.4.231 due to some other issues.
But FF 2.2.10.382 is no longer crashing my app.

@daniel-luberda

This comment has been minimized.

Copy link
Member

commented May 9, 2017

Great :)

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.